package modele;

import javafx.beans.InvalidationListener;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

public class CpuCapteur extends Capteur{

    public CpuCapteur(float temperature, String nom) {
        super(temperature,nom);
    }

    @Override
    public void genTemp(float x) throws IOException {
        setTemperature(Float.parseFloat(Files.readString(Path.of("/sys/class/thermal/thermal_zone2/temp"))));
    }
}
