package modele;

import javafx.beans.InvalidationListener;
import javafx.beans.Observable;
import javafx.beans.property.*;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public abstract class Capteur {

    public Capteur(float temp, String nom) {

        this.temperature.set(temp);
        this.nom.set(nom);
    }

    private final FloatProperty temperature = new SimpleFloatProperty();
        public float getTemperature() {return temperature.get();}
        public FloatProperty temperatureProperty() {return temperature;}
        public void setTemperature(float temperature) {this.temperature.set(temperature);}

    private final StringProperty nom = new SimpleStringProperty();
        public String getNom() {return nom.get();}
        public StringProperty nomProperty() {return nom;}
        public void setNom(String nom) {this.nom.set(nom);}


    public abstract void genTemp(float x) throws IOException;
}

